Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226783 - Anaconda source code still refer to deprecated declarations
Summary: Anaconda source code still refer to deprecated declarations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-01 16:15 UTC by Frederic Blanchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 18:56:22 UTC


Attachments (Terms of Use)

Description Frederic Blanchard 2007-02-01 16:15:10 UTC
Description of problem:
 I want to recompile Anaconda (more specificly its loader app) to add a few
customizations, but its source code refer to deprecated declaration like
"START_ARRAY".  Commenting out the source code only lead to other similar problems. 

Version-Release number of selected component (if applicable):
Fully updated Fedora Core 6 (2007.01.30)
 anaconda-11.1.1.3-1.i386.rpm
 anaconda-runtime-11.1.1.3-1.i386.rpm
 kernel-headers-2.6.19-1.2895.fc6
 kernel-xen-devel-2.6.19-1.2895.fc6
 kernel-2.6.19-1.2895.fc6

How reproducible:
 Everytime

Steps to Reproduce:
1. Download and install anaconda-11.1.1.3-1.src.rpm 
2. Download and install all required "devel" package like libdhcp-devel
3. Go to anaconda main source code directory and run make
  
Actual results:

isys.c: In function ‘doRaidStart’:
isys.c:974: error: ‘START_ARRAY’ undeclared (first use in this function)
isys.c:974: error: (Each undeclared identifier is reported only once
isys.c:974: error: for each function it appears in.)
make[1]: *** [isys.lo] Error 1
make[1]: Leaving directory `/data/fedora/fc6/loader/anaconda-11.1.1.3/isys'
make: *** [subdirs] Error 1

Notes:
 Its look like the "kernel-headers-2.6.19-1.2895.fc6" package, which contains
the "/usr/include/linux/raid/md_u.h" defective file, is not up to date.

[

Comment 1 David Cantrell 2007-02-01 18:56:22 UTC
Anaconda changes a lot.  If you want to rebuild it, patch it, etc, you need to
either get the source from CVS or grab a source RPM from rawhide.  We've fixed
this problem (and you really don't need to report stuff like this).


Note You need to log in before you can comment on or make changes to this bug.